com.jscape.inet.mft.audit.reporting.metricses

## Class TotalBytesUploaded

- java.lang.Object
- - com.jscape.inet.mft.audit.reporting.metricses.TotalBytesUploaded

- All Implemented Interfaces:
    Metrics<TotalBytesUploaded.Visitor>, com.jscape.util.Copyable<Metrics>, com.jscape.util.Visitable<TotalBytesUploaded.Visitor>

      public class TotalBytesUploaded
      extends java.lang.Object
      implements Metrics<TotalBytesUploaded.Visitor>

  Total bytes uploaded statistics.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `TotalBytesUploaded.Visitor`

    - ### Nested classes/interfaces inherited from interface com.jscape.util.Visitable

      `com.jscape.util.Visitable.VisitorBase, com.jscape.util.Visitable.VisitorException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TotalBytesUploaded()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `accept(TotalBytesUploaded.Visitor visitor)` Backwards dispatching entry point.
    `TotalBytesUploaded` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getValue()`
    `void` | `reset()` Resets metrics data.
    `void` | `setValue(long value)`
    `java.lang.String` | `toString()`
    `void` | `update(Report report, com.jscape.inet.mft.LogRecord record)` Updates metrics with log record.

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TotalBytesUploaded

          public TotalBytesUploaded()

  - ### Method Detail

    - #### update

          public void update(Report report,
                             com.jscape.inet.mft.LogRecord record)

      Description copied from interface: `Metrics`
      Updates metrics with log record.
      Specified by:
        `update` in interface `Metrics<TotalBytesUploaded.Visitor>`
      Parameters:
        `report` - report instance
        `record` - log record

    - #### reset

          public void reset()

      Description copied from interface: `Metrics`
      Resets metrics data.
      Specified by:
        `reset` in interface `Metrics<TotalBytesUploaded.Visitor>`

    - #### copy

          public TotalBytesUploaded copy()

      Specified by:
        `copy` in interface `com.jscape.util.Copyable<Metrics>`

    - #### accept

          public java.lang.Object accept(TotalBytesUploaded.Visitor visitor)
                                  throws com.jscape.util.Visitable.VisitorException

      Description copied from interface: `com.jscape.util.Visitable`
      Backwards dispatching entry point.
      Specified by:
        `accept` in interface `com.jscape.util.Visitable<TotalBytesUploaded.Visitor>`
      Parameters:
        `visitor` - a visitor instance
      Returns:
        a visit result if any
      Throws:
        `com.jscape.util.Visitable.VisitorException` - if an error occurs

    - #### getValue

          public long getValue()

    - #### setValue

          public void setValue(long value)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved